Clients

Assign Resource to Client

POST /v1/clients/assign/{resourceType}

POST/v1/clients/assign/{resourceType}
POST
/v1/clients/assign/{resourceType}

Assign resource (sequence or email account) to a client

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

resourceIdsarray<string>

IDs of resources to assign

Example: ["1Gz3xlNwr9","ajzR8xpPAq"]

clientIdstring

Optional client ID for scoping

Example: "9pa8BRwy2"

Path Parameters

resourceTypestring

Type of resource to assign

Value in: "sequence" | "emailAccount"

Responses

200
Resource assigned to client successfully
{
  "payload": {
    "message": "Resource assigned to client successfully",
    "payload": null
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/clients/assign/{resourceType}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resourceIds": [
    "1Gz3xlNwr9",
    "ajzR8xpPAq"
  ],
  "clientId": "9pa8BRwy2"
}'

Response

No response body